##########
# FORMAT #
##########

# All arguments are optional.
# Only the keys in this list are interpreted, the others are ignored.
# Each list item (start with '-') can be duplicated as many times as necessary.
# The easiest way to create a new configuration is to copy this document and modify it.

name: zabbix-agent


# ###########
# # WARNING #
# ###########

# All this deployment was done manually (not by the script)

# # Tree
# work/zabbix-agent-k8s/
# ├── config.yaml # This file
# ├── deploy
# │   ├── base
# │   │   ├── daemonset.yaml
# │   │   ├── kustomization.yaml
# │   │   ├── namespace.yaml
# │   │   └── service.yaml
# │   ├── kustomization.yaml
# │   └── overlays
# │       ├── production
# │       │   ├── config.properties
# │       │   └── kustomization.yaml
# │       └── staging
# │           ├── config.properties
# │           └── kustomization.yaml
# └── manifest.yaml # Old single file

# # daemonset.yaml
# apiVersion: apps/v1
# kind: DaemonSet
# metadata:
#   name: zabbix-agent
#   namespace: monitoring
# spec:
#   template:
#     spec:
#       containers:
#         - name: zabbix-agent
#           image: zabbix/zabbix-agent
#           resources:
#             requests:
#               memory: 50M
#               cpu: 10m
#             limits:
#               memory: 64M
#               cpu: 200m
#           ports:
#             - containerPort: 10050
#           envFrom:
#           - configMapRef:
#               name: zabbix-agent

# # kustomization.yaml
# apiVersion: kustomize.config.k8s.io/v1beta1
# kind: Kustomization
# resources:
# - namespace.yaml
# - service.yaml
# - daemonset.yaml

# # namespace.yaml
# apiVersion: v1
# kind: Namespace
# metadata:
#   name: monitoring

# # service.yaml
# apiVersion: v1
# kind: Service
# metadata:
#   name: zabbix-agent
#   namespace: monitoring
# spec:
#   type: NodePort
#   externalTrafficPolicy: Local
#   ports:
#     - port: 30050
#       targetPort: 10050
#       nodePort: 32050
#       name: zabbix-agent

# # kustomization.yaml
# apiVersion: kustomize.config.k8s.io/v1beta1
# kind: Kustomization
# resources:
# - ./overlays/staging
# - ./overlays/production

# # config.properties
# ZBX_SERVER_HOST=osug-monitoring.u-ga.fr
# ZBX_HOSTNAME=resif-intern-checker

# # kustomization.yaml
# apiVersion: kustomize.config.k8s.io/v1beta1
# kind: Kustomization
# commonLabels:
#   app: zabbix-agent
#   context: production
# configMapGenerator:
# - env: config.properties
#   name: zabbix-agent
#   namespace: monitoring
# images:
# - name: zabbix/zabbix-agent
#   newTag: centos-4.0-latest
# namePrefix: production-
# resources:
# - ../../base

# # config.properties
# ZBX_SERVER_HOST=osug-monitoring.u-ga.fr
# ZBX_HOSTNAME=resif-intern-checker

# # kustomization.yaml
# apiVersion: kustomize.config.k8s.io/v1beta1
# kind: Kustomization
# commonLabels:
#   app: zabbix-agent
#   context: staging
# configMapGenerator:
# - env: config.properties
#   name: zabbix-agent
#   namespace: monitoring
# images:
# - name: zabbix/zabbix-agent
#   newTag: centos-4.0-latest
# namePrefix: staging-
# resources:
# - ../../base


